WHATIS(1)

NOMBRE
whatis - muestra descripciones de una línea de las páginas de manual

SINOPSIS
whatis [-dlv?V] [-r|-w] [-s lista] [-m sistema[,...]] [-M ruta] [-L localización] [-C fichero] nombre ...

DESCRIPCIÓN
Cada página de manual despone de una descripción breve. whatis busca nombres de página de manual y muestra las descripciones de página de cualquier nombre coincidente. El nombre puede contener comodines (-w) o puede ser una expresión regular (-r). Con estas opciones puede ser necesario entrecomillar el nombre o escapar (\) los caracteres especiales para impedir que la shell los interprete. Durante la búsqueda se utilizan bases de datos de índices y el programa mandb las actualiza. Dependiendo de su instalación, esto lo ejecuta una tarea de cron periódica o puede ser que requiera ejecución manual después de instalar páginas de manual nuevas. Para generar un texto al viejo estilo de la base de datos de whatis desde la base de datos de índices relativa, ejecute la orden: whatis -M rutaman -w '*' | sort > rutaman/whatis donde rutaman es una jerarquía de páginas de manual tal como /usr/man.

OPCIONES

-d, --debug
    Escribe información de depuración.

-v, --verbose
    Escribe mensajes detallados de advertencia.

-r, --regex
    Interpreta cada nombre como una expresión regular. Si un nombre coincide con cualquier parte de un nombre de página, se da por satisfecha una coincidencia. Esta opción ralentiza un poco whatis a causa de la naturaleza de las búsquedas en base de datos.

-w, --wildcard
    Interpreta cada nombre como un patrón que contiene comodines de estilo shell. Para considerar una coincidencia, un nombre expandido debe coincidir con el nombre completo de página. Esta opción ralentiza un poco whatis a causa de la naturaleza de las búsquedas en base de datos.

-l, --long
    No corta la salida a la anchura del terminal. Normalmente, la salida será truncada al ancho del terminal para evitar resultados indeseables de las secciones de NOMBRE pobremente escritas.

-s listado, --sections=listado, --section=listado
    Busca solo las secciones del manual indicadas. listado es una lista de secciones separadas por dos puntos o por comas. Si una entrada en el listado es una sección simple, por ejemplo "3", entonces la lista de descripciones mostrada incluirá páginas en las secciones "3", "3perl", "3x" y, así, sucesivamente; mientras que si una entrada en el listado tiene una extensión, por ejemplo, "3perl", entonces la lista solo incluirá páginas en esa precisa parte de la sección del manual.

-m sistema[,...], --systems=sistema[,...]
    Si este sistema tiene acceso a otros nombres de página de manual del sistema operativo, pueden ser accedidas utilizando esta opción. Para buscar nombres de página de manual del SOnuevo, utilice la opción -m SOnuevo. El sistema especificado puede ser una combinación de nombres de sistema operativo delimitados por comas. Para incluir una búsqueda de los nombes de página de manual del sistema operativo nativo, incluya el nombre del sistema man en la cadena del argumento. Esta opción anula la variable de entorno $SYSTEM.

-M ruta, --manpath=ruta
    Especifica un conjunto alternativo de jerarquías de páginas de manual delimitadas por dos puntos (:) para búsquedas. Por defecto, whatis utiliza la variable de entorno $MANPATH, a no ser que esté vacía o no determinada, en cuyo caso determinará un manpath apropiado basado en su variable de entorno $PATH. Esta opción anula el contenido de $MANPATH.

-L local, --locale=local
    whatis normalmente determinará su localización actual mediante una llamada a la función C setlocale(3), la cual examina varias variables de entorno, posiblemente incluyendo $LC_MESSAGES y $LANG. Para anular temporalmente el valor determinado, utilice esta opción para suministrar una cadena local directamente a whatis. Nótese que no tendrá efecto hasta que la búsqueda de páginas realmente comience. Mensajes de salida como el de ayuda siempre se mostrarán en la localización determinada inicialmente.

-C fichero, --config-file=fichero
    Utilice este fichero de configuracion de usuario en lugar del predeterminado según ~/.manpath.

-?, --help
    Escribe un mensaje de ayuda y termina.

--usage
    Escribe mensaje breve sobre uso del programa y termina.

-V, --version
    Muestra información sobre la versión.

ESTADO DE SALIDA

0   Ejecución del programa correcta.

1   Error de uso, de sintaxis o del fichero de configuración.

2   Error operacional.

16  No se ha encontrado nada que coincida con el criterio especificado.

ENTORNO

SYSTEM
    Si se establece $SYSTEM, tendrá el mismo efecto que si se hubiera especificado como el argumento de la opción -m.

MANPATH
    Si se establece $MANPATH, su valor se interpreta como la ruta de búsqueda de jerarquía de páginas de manual delimitadas por dos puntos.

MANWIDTH
    Si se establece $MANWIDTH, su valor se utiliza como la anchura del terminal (vea la opción --long). Si no está establecida, la anchura del terminal se calculará utilizando el valor de $COLUMNS y ioctl(2) o, en su defecto, se toman 80 caracteres si falla todo lo demás.

FICHEROS

/usr/share/man/index.(bt|db|dir|pag)
    Una caché de BD indexada global tradicional.

/var/cache/man/index.(bt|db|dir|pag)
    Una caché de BD indexado compatible con FHS.

/usr/share/man/.../whatis
    Una base de datos de texto whatis tradicional.

VÉASE TAMBIÉN
apropos(1), man(1), mandb(8)

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk).
Fabrizio Polacco (fpolacco@debian.org).
Colin Watson (cjwatson@debian.org).